# API Changelog

## 2020-07-01

**What’s new**

* Support enable/disable of live relay destination and added the identity attributes to the relay object: id, status, created\_at , and updated\_at.
* Faster and more reliable Webhook service.
* Separate Delivery overusage to different regions with distinct costs. [Read more here.](https://help.uiza.io/data-usage)
* Adjust the overuse invoice template to include items for delivery regions, unit prices, and exceeded values.
* Support for enabling/disabling CCU display on Uiza’s WebSDK. [Read more here](https://github.com/uizaio/uiza-javascript-sdk-player#customizing-the-ui-button).

**Changes**

* Time interval to retry Webhook changed from multiple times per minute to an hourly basis for a duration of 24 hours.
* Update subscription plans according to the new pricing model ([Pricing](https://uiza.io/pricing)).

**Fixes**

* Fixed issue with user suspension in case of failed payment when changing the current subscription

## 2020-05-28

**What's new**

* User suspension - User’s who missed payment after the invoice period will be suspended.&#x20;
* New status when creating live entity: `resource_allocation_fail` - when the entity takes too long to look for resources. User’s will receive a message and will be prompted to create a new entity.
* SDK player updates
  * Live button to return to live moment
  * Analytics and CCU displayed on Uiza’s players
* Support for [MPEG-DASH](https://www.encoding.com/mpeg-dash/) playback .

**Fixes**

* Fixed bug when deleting a live entity assigned to a preset.
* Fixed minor bug with wrong message response when creating a webhook endpoint but missing url parameter.
* Fixed bug returning inconsistent playback.url of live entity in Live API and Event API.
* Fixed confusing error message when creating a [live entity](https://docs.uiza.io/api-reference/live-entities) with missing parameters.
* Fixed confusing error message when creating a [webhook endpoint](https://docs.uiza.io/api-reference/webhook_endpoints) with missing parameters.
* Fixed bug allowing Team & Business tier users to profiles to Uiza presets.
* Fixed bug with randomly returned error type when client calls APIs.
* Fixed issue with retry request live resource.

## 2020-05-07

### What's new

* Added new API: [Update a live entity](https://docs.uiza.io/v/2020-05-07/api-reference/live-entities/update-a-live-entity) using PATCH method&#x20;
* Added new API: [Update a webhook endpoint](https://docs.uiza.io/v/2020-05-07/api-reference/webhook_endpoints/update-webhook-endpoint) using PATCH method&#x20;

### Changed

* Deprecated [Update a live entity](https://docs.uiza.io/v/2020-05-07/api-reference/live-entities/deprecated-update-a-live-entityhttps://docs.uiza.io/v/2020-05-07/api-reference/live-entities/deprecated-update-a-live-entity) API using PUT method&#x20;
* Deprecated [Update a webhook endpoint](https://docs.uiza.io/v/2020-05-07/api-reference/webhook_endpoints/deprecated-update-webhook-endpoint) API using PUT method&#x20;

### Fixed

* Inconsistent entity status on events when update entity status to ready&#x20;
* Fixed bug when calling list events API returns `internal-error`&#x20;

## 2020-04-21

### What's new

* Expose new API to reset Ingest Key of a Live Entity.
* Expose new API to get Invoice Detail.
* Support clearing Live Entity's relay setting by updating relay parameter as empty
* Support exporting Invoice to PDF.
* Support deleting source files of video entity.

### Changes

* Replace field `type` by `input_type` in  `video_entity` event object.

### Fixes

* Fixed bug incorrect error response when updating invalid video preset/profile.
* Fixed bug where user can login without verifying email address.
* Fixed bug displaying empty `live_entity_id` in the `live_session` event object.

## 2020-03-26

### What's new

* Added new event `video_entities.created` in [Event Types](https://docs.uiza.io/api-reference/events/event-types).
* Added `video_entity_id` attribute to [Live Session](https://docs.uiza.io/api-reference/live-sessions) to link the live records with its video entity.
* Support DVR option in [Live Entity](https://docs.uiza.io/api-reference/live-entities). Included two new APIs to enable and disable DVR.
* Support login with Google.
* Support multiple destination broadcast and added `relay` attribute to [Live Entity](https://docs.uiza.io/api-reference/live-entities) .
* Added `encode` attribute to [Live Entity](https://docs.uiza.io/api-reference/live-entities) .
* Introduced [Video Profile](https://docs.uiza.io/api-reference/video-profiles) & [Video Preset](https://docs.uiza.io/api-reference/video-presets) to support live with `encode` option.
* Added new attribute `preset` in  [Live Entity](https://docs.uiza.io/api-reference/live-entities) .
* Support filtering [Live Sessions](https://docs.uiza.io/api-reference/live-sessions) by DVR attribute and added new attribute `preset` in Live Session details
* Support filter live video by `live_entity_id`.
* Increase resource allocation speed up to 500 live entities per 5 seconds.
* Support categorize Ulas by `encode` feature.

### Changes

* Live Session attribute `entity_id` changed to `live_entity_id`  to differentiate with `video_entity_id`.
* Following [Google API Design guideline](https://cloud.google.com/apis/design/standard_methods#delete), all `DELETE` APIs should return empty body.
* Remove `Reset ingest key` API in version 2020-01-10. We no longer support resetting ingest key, because conflicts with the end of signal occurs when an user resets the ingest key while streaming. We are working on this problem.
* Remove emit event log form. All event logs related to entity should be executed in Live Entity server.
* Update submodule by removing `googleapis`. This update shortens the times of build time from 10 minutes to about 2 minutes.
* Support allocating request based on available vCPUs and Memory
* Enhance the performance of allocating by moving DNS logic part to be a DNS Service.

### Fixes

* Webhook endpoints can now send to Slack without error and return the valid error message.
* Delete DNS when deleting a live entity.
* Fixed bug where user ID is undefined when creating a live entity.
* Fixed inconsistency of API response between live entity API and webhook endpoints API.
* Fixed bug where updating the video entity returns bad request.
* Fixed inconsistency in boolean value in events API.
* Fixing crashing issue due to not handling case of Axios - fail on getting a response from Prometheus.
* Handle multi node down trigger fail over.
* Fixed bug where retrieving live entities causes long time to allocate resource.
* Cannot get Ulas disk metrics during scaling action.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/api-upgrades/api-changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
